document.addEventListener("DOMContentLoaded", function() {
    var backgroundImage = 'Icons & Logos/back_base.svg'; // Default background for other pages
    if (window.location.pathname.includes('magazine.html')) {
        backgroundImage = 'Icons & Logos/back_mag.svg'; // Background for magazine page
    } else if (window.location.pathname.includes('members.html')) {
        backgroundImage = 'Icons & Logos/members.svg'; // Background for members page
    }

    document.body.style.backgroundImage = `url('${backgroundImage}')`;

    var navbarHtml = `
    <style>
    body {
        margin: 0;
        padding: 0;
        font-family: Arial, sans-serif;
        background-size: cover;
        background-repeat: no-repeat;
        background-attachment: fixed;
        background-position: center center;
        min-height: 100vh;
    }
    .navbar-container {
        background-color: rgba(0, 0, 0, 0.0);
        padding: 10px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        position: relative; /* Ensure positioning context for social media icons */
    }
    .top-bar {
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 10px 20px;
        background-color: rgba(148, 177, 174, 0.8); /* Semi-transparent background color for the whole navigation */
        border-radius: 10px; /* Rounded corners */
    }
    .search-container {
        display: flex;
        align-items: center;
    }
    .search-container input[type="text"] {
        padding: 10px;
        width: 200px;
        border-radius: 5px;
        border: 1px solid #ccc;
        font-size: 16px;
        margin-left: 5px;
    }
    .search-container button {
        padding: 10px 20px;
        border: none;
        background-color: #A84C87;
        color: #fff;
        border-radius: 5px;
        cursor: pointer;
        font-size: 16px;
    }
    .search-container button:hover {
        background-color: #8a3c6d;
    }
    .navigation {
        list-style-type: none;
        margin: 0;
        padding: 0;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .navigation li {
        margin: 0 20px;
        position: relative;
        display: inline-block;
    }
    .navigation a, .button {
        color: #F0F0F0; /* Text color */
        text-decoration: none;
        font-weight: bold;
        padding: 10px 20px;
        border-radius: 5px;
        transition: background-color 0.3s, color 0.3s;
    }
    .navigation a:hover, .navigation .button:hover {
        background-color: #A84C87;
        color: #ffffff;
    }
    .dropdown-content {
        display: none;
        position: absolute;
        background-color: rgba(252, 162, 3, 0.8);
        min-width: 160px;
        box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
        z-index: 1;
        text-align: right;
    }
    .dropdown-content a {
        color: #ffffff;
        padding: 12px 16px;
        text-decoration: none;
        display: block;
        transition: background-color 0.3s;
    }
    .navigation li:hover .dropdown-content {
        display: block;
    }
    .dropdown-content a:hover {
        background-color: #A84C87;
        color: #ffffff;
    }
    .dropdown-content a.specific-hover:hover {
        background-color: red !important;
    }
    .button {
        background-color: transparent;
        border: none;
        color: #F0F0F0; /* Text color */
        text-align: left;
        text-decoration: none;
        display: block;
        font-size: 20px;
        margin: 4px 2px;
        cursor: pointer;
        font-weight: bold;
    }
    .button:hover {
        background-color: rgba(255, 255, 255, 0.2);
    }
    #searchResults {
        margin-top: 20px;
        text-align: center;
    }
    .logo {
        margin-left: 20px;
    }
    .logo img {
        width: 75px;
    }
    .footer {
        width: 100%;
        padding: 20px 0;
        background-color: rgba(148, 177, 174, 0.8); /* Same background color as the navbar */
        text-align: center;
        position: fixed;
        bottom: 0;
        left: 0;
    }
    .footer .socmed-icons {
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .footer .socmed-icons a {
        margin: 0 10px;
        font-size: 24px; /* Adjust size as needed */
        color: #F0F0F0; /* Text color */
    }
    .footer .socmed-icons a:hover {
        color: #fca203; /* Hover color */
    }
    </style>
    <div class="navbar-container">
        <div class="top-bar">
            <div class="search-container">
                <button onclick="search()">ابحث</button>
                <input type="text" id="searchInput" placeholder=" ... اكتب بحثك هنا">
            </div>
            <ul class="navigation">
                <li class="dropdown">
                    <a href="#" class="button">من نحن</a>
                    <div class="dropdown-content">
                        <a href="#">رحلتنا</a>
                        <a href="#">الأعضاء</a>
                    </div>
                </li>
                <li class="dropdown">
                    <a href="#" class="button">مشاريعنا</a>
                    <div class="dropdown-content">
                        <a href="#">نجاة</a>
                        <a href="#">سالمة</a>
                        <a href="#">نظيفة</a>
                        <a href="#">كاملة</a>
                    </div>
                </li>
                <li class="dropdown">
                    <a href="#" class="button">للتواصل</a>
                    <div class="dropdown-content">
                        <a href="#">تواصل/ى معنا</a>
                        <a href="#" class="specific-hover">تواصل/ى مع سالمة</a>
                        <a href="#">اكتب/ى مع سوبروومن</a>
                    </div>
                </li>
                <li><a href="magazine.html" class="button">المجلة</a></li>
            </ul>
            <div class="logo">
                <a href="home.html"><img src="Icons & Logos/Logog.svg" alt="Logo"></a>
            </div>
        </div>
    </div>
    <div id="searchResults"></div>
    <div class="footer">
        <div class="socmed-icons">
            <a href="#" class="fab fa-facebook-f"></a>
            <a href="#" class="fab fa-twitter"></a>
            <a href="#" class="fab fa-google"></a>
            <a href="#" class="fab fa-linkedin-in"></a>
            <a href="#" class="fab fa-instagram"></a>
            <a href="#" class="fab fa-youtube"></a>
        </div>
    </div>
    `;

    var navbarPlaceholder = document.getElementById("navbar-placeholder");
    navbarPlaceholder.innerHTML = navbarHtml;
});

